ApiManagementV1WorkspacesWorkspaceidEndpointsId

Update an endpoint

PATCH
/management/v1/workspaces/{workspaceId}/endpoints/{id}
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

idstring
url?string
Formaturi
description?string
isActive?boolean
authUsername?string | null
authPassword?string | null
config?object

Empty Object

metadata?object | null

Key-value metadata (max 5 keys)

Empty Object

Response Body

curl -X PATCH "https://loading/management/v1/workspaces/{workspaceId}/endpoints/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "url": "string",
  "secret": "string",
  "description": "string",
  "authUsername": "string",
  "hasAuth": true,
  "isActive": true,
  "type": "string",
  "config": {},
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

{
  "error": {
    "code": "validation_error",
    "message": "Webhook URL must use HTTPS"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Endpoint not found"
  }
}